# create-config

[![Powered by Immowelt](https://img.shields.io/badge/powered%20by-immowelt-yellow.svg?colorB=ffb200)](https://stackshare.io/immowelt-group/)
[![Greenkeeper badge](https://badges.greenkeeper.io/ImmoweltGroup/create-config.svg)](https://greenkeeper.io/)
[![Build Status](https://travis-ci.org/ImmoweltGroup/create-config.svg?branch=master)](https://travis-ci.org/ImmoweltGroup/create-config)
[![Dependency Status](https://david-dm.org/ImmoweltGroup/create-config.svg)](https://david-dm.org/ImmoweltGroup/create-config)
[![devDependency Status](https://david-dm.org/ImmoweltGroup/create-config/dev-status.svg)](https://david-dm.org/ImmoweltGroup/create-config#info=devDependencies&view=table)
[![semantic-release](https://img.shields.io/badge/%20%20%F0%9F%93%A6%F0%9F%9A%80-semantic--release-e10079.svg)](https://github.com/semantic-release/semantic-release)

> Create a consistently structured and feature enriched config object for your NodeJS package/project.

## Installation
To install the latest stable version:

```sh
# Using npm
npm install --save create-config

# or using yarn
yarn add create-config
```

## Features
* Consistent structure of your project's configuration object
* Environment variable validation and fallbacks (using the fancy [envalid](https://github.com/af/envalid) library)
* Configurable path helper functions
* Automated and readable warnings regarding the use of non LTS versions of Node
* Configuration overrides based on the `NODE_ENV` environment variable
* Optional extension of the finalized configuration object

## Documentation
* [Introduction](/docs/introduction/README.md)
* [API](/docs/api/README.md)
* [FAQ](/docs/api/FAQ.md)

## Contributing
See the `CONTRIBUTING.md` file at the root of the repository.

## Licensing
See the `LICENSE` file at the root of the repository.
