

const envalid = require('envalid');

function parseEnvironmentVariables(requiredVariablesByKey = {}, environment = process.env) {
  const requiredEnv = Object.assign({
    NODE_ENV: envalid.str({ default: 'development' })
  }, requiredVariablesByKey);
  const env = envalid.cleanEnv(environment, requiredEnv);
  const NODE_ENV = env.NODE_ENV.toLowerCase();

  return Object.assign({}, env, {
    NODE_ENV,
    isProduction: NODE_ENV === 'production',
    isDev: NODE_ENV === 'development',
    isTest: NODE_ENV === 'test'
  });
}

module.exports = parseEnvironmentVariables;